Bug 223581 - Minor fix for Django FastCGI handling
Minor fix for Django FastCGI handling
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Django (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 23:36 EST by James Bennett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-21 17:20:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bennett 2007-01-19 23:36:50 EST
A minor problem was discovered with Django's use of flup for FastCGI handling after the 0.95 release; flup 
was allowed to run in 'debug' mode and show full tracebacks on uncaught exceptions, which could expose 
the contents of application code or settings.

This was fixed in revision 4170 of Django trunk, and a patch which applies cleanly to stock Django 0.95 is 
in Django's "0.95-bugfixes" branch (which tracks post-release updates and fixes for the 0.95 release):

http://code.djangoproject.com/changeset/4363
Comment 1 Michel Alexandre Salim 2007-01-21 17:20:50 EST
Django 0.95.1 has been built on the build servers and awaits signing

Note You need to log in before you can comment on or make changes to this bug.